# PseudoLegalMoveTablebase::Xiangqi99.rb

[![Version](https://img.shields.io/github/v/tag/sashite/pseudo_legal_move_tablebase-xiangqi99.rb?label=Version&logo=github)](https://github.com/sashite/pseudo_legal_move_tablebase-xiangqi99.rb/releases)
[![Yard documentation](https://img.shields.io/badge/Yard-documentation-blue.svg?logo=github)](https://rubydoc.info/github/sashite/pseudo_legal_move_tablebase-xiangqi99.rb/main)
[![CI](https://github.com/sashite/pseudo_legal_move_tablebase-xiangqi99.rb/workflows/CI/badge.svg?branch=main)](https://github.com/sashite/pseudo_legal_move_tablebase-xiangqi99.rb/actions?query=workflow%3Aci+branch%3Amain)
[![RuboCop](https://github.com/sashite/pseudo_legal_move_tablebase-xiangqi99.rb/workflows/RuboCop/badge.svg?branch=main)](https://github.com/sashite/pseudo_legal_move_tablebase-xiangqi99.rb/actions?query=workflow%3Arubocop+branch%3Amain)
[![License](https://img.shields.io/github/license/sashite/pseudo_legal_move_tablebase-xiangqi99.rb?label=License&logo=github)](https://github.com/sashite/pseudo_legal_move_tablebase-xiangqi99.rb/raw/main/LICENSE.md)

> A computerized database that contains precalculated exhaustive pseudo-legal moves of Xiangqi99 positions.

## Installation

Add this line to your application's Gemfile:

```ruby
gem "pseudo_legal_move_tablebase-xiangqi99"
```

And then execute:

```sh
bundle
```

Or install it yourself as:

```sh
gem install pseudo_legal_move_tablebase-xiangqi99
```

## Usage

```ruby
PseudoLegalMoveTablebase::Xiangqi99::DB
# => {"X:-G"=>{0=>[[{1=>:enemy}, 1, "X:-G", true], [{9=>:enemy}, 9, "X:-G", ...
```

## License

The code is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).

## About Sashite

This [gem](https://rubygems.org/gems/pseudo_legal_move_tablebase-xiangqi99) is maintained by [Sashite](https://sashite.com/).

With some [lines of code](https://github.com/sashite/), let's share the beauty of Chinese, Japanese and Western cultures through the game of chess!
